Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class Os2Table

    java.lang.Object
      org.apache.batik.svggen.font.table.Os2Table

All Implemented Interfaces:
  Table

    public class Os2Table

extends Object
implements Table

Field Summary

Fields inherited from interface org.apache.batik.svggen.font.table.Table
`BASE, CFF, cmap, cvt, DSIG, EBDT, EBLC, EBSC, encodingArabic, encodingArmenian, encodingASCII, encodingBengali, encodingBurmese, encodingChinese, encodingDevanagari, encodingGeez, encodingGeorgian, encodingGreek, encodingGujarati, encodingGurmukhi, encodingHebrew, encodingISO10646, encodingISO8859_1, encodingJapanese, encodingKannada, encodingKhmer, encodingKorean, encodingLaotian, encodingMalayalam, encodingMaldivian, encodingMongolian, encodingOriya, encodingRoman, encodingRSymbol, encodingRussian, encodingSindhi, encodingSinhalese, encodingSlavic, encodingTamil, encodingTelugu, encodingThai, encodingTibetan, encodingUGL, encodingUndefined, encodingUninterp, encodingVietnamese, fpgm, fvar, gasp, GDEF, glyf, GPOS, GSUB, hdmx, head, hhea, hmtx, JSTF, kern, languageArabic, languageBEL, languageBGR, languageCAT, languageChinese, languageCSY, languageDAN, languageDanish, languageDEA, languageDEC, languageDEL, languageDES, languageDEU, languageDutch, languageELL, languageENA, languageENC, languageENG, languageEnglish, languageENI, languageENU, languageENZ, languageESM, languageESN, languageESP, languageETI, languageEUQ, languageFIN, languageFinnish, languageFRA, languageFRB, languageFRC, languageFrench, languageFRL, languageFRS, languageGerman, languageGreek, languageHebrew, languageHindi, languageHUN, languageIcelandic, languageISL, languageITA, languageItalian, languageITS, languageJapanese, languageLTH, languageLVI, languageMaltese, languageNLB, languageNLD, languageNON, languageNOR, languageNorwegian, languagePLK, languagePortuguese, languagePTB, languagePTG, languageROM, languageRUS, languageSHL, languageSKY, languageSLV, languageSpanish, languageSQI, languageSVE, languageSwedish, languageThai, languageTRK, languageTurkish, languageUKR, languageUrdu, languageYugoslavian, loca, LTSH, maxp, MMFX, MMSD, name, nameCopyrightNotice, nameFontFamilyName, nameFontSubfamilyName, nameFullFontName, namePostscriptName, nameTrademark, nameUniqueFontIdentifier, nameVersionString, OS_2, PCLT, platformAppleUnicode, platformISO, platformMacintosh, platformMicrosoft, post, prep, VDMX, vhea, vmtx`

Constructor Summary
`protected` | `Os2Table(DirectoryEntry de, RandomAccessFile raf)`

Method Summary
`short` | `getAvgCharWidth()`
`int` | `getCodePageRange1()`
`int` | `getCodePageRange2()`
`short` | `getFamilyClass()`
`int` | `getFirstCharIndex()`
`int` | `getLastCharIndex()`
`short` | `getLicenseType()`
`Panose` | `getPanose()`
`short` | `getSelection()`
`short` | `getStrikeoutPosition()`
`short` | `getStrikeoutSize()`
`short` | `getSubscriptXOffset()`
`short` | `getSubscriptXSize()`
`short` | `getSubscriptYOffset()`
`short` | `getSubscriptYSize()`
`short` | `getSuperscriptXOffset()`
`short` | `getSuperscriptXSize()`
`short` | `getSuperscriptYOffset()`
`short` | `getSuperscriptYSize()`
`int` | `getType()` Get the table type, as a table directory value.
`short` | `getTypoAscender()`
`short` | `getTypoDescender()`
`short` | `getTypoLineGap()`
`int` | `getUnicodeRange1()`
`int` | `getUnicodeRange2()`
`int` | `getUnicodeRange3()`
`int` | `getUnicodeRange4()`
`int` | `getVendorID()`
`int` | `getVersion()`
`int` | `getWeightClass()`
`int` | `getWidthClass()`
`int` | `getWinAscent()`
`int` | `getWinDescent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Os2Table

    protected Os2Table(DirectoryEntry de,
                       RandomAccessFile raf)
                throws IOException

Throws:
  `IOException`

Method Detail

### getVersion

    public int getVersion()

### getAvgCharWidth

    public short getAvgCharWidth()

### getWeightClass

    public int getWeightClass()

### getWidthClass

    public int getWidthClass()

### getLicenseType

    public short getLicenseType()

### getSubscriptXSize

    public short getSubscriptXSize()

### getSubscriptYSize

    public short getSubscriptYSize()

### getSubscriptXOffset

    public short getSubscriptXOffset()

### getSubscriptYOffset

    public short getSubscriptYOffset()

### getSuperscriptXSize

    public short getSuperscriptXSize()

### getSuperscriptYSize

    public short getSuperscriptYSize()

### getSuperscriptXOffset

    public short getSuperscriptXOffset()

### getSuperscriptYOffset

    public short getSuperscriptYOffset()

### getStrikeoutSize

    public short getStrikeoutSize()

### getStrikeoutPosition

    public short getStrikeoutPosition()

### getFamilyClass

    public short getFamilyClass()

### getPanose

    public Panose getPanose()

### getUnicodeRange1

    public int getUnicodeRange1()

### getUnicodeRange2

    public int getUnicodeRange2()

### getUnicodeRange3

    public int getUnicodeRange3()

### getUnicodeRange4

    public int getUnicodeRange4()

### getVendorID

    public int getVendorID()

### getSelection

    public short getSelection()

### getFirstCharIndex

    public int getFirstCharIndex()

### getLastCharIndex

    public int getLastCharIndex()

### getTypoAscender

    public short getTypoAscender()

### getTypoDescender

    public short getTypoDescender()

### getTypoLineGap

    public short getTypoLineGap()

### getWinAscent

    public int getWinAscent()

### getWinDescent

    public int getWinDescent()

### getCodePageRange1

    public int getCodePageRange1()

### getCodePageRange2

    public int getCodePageRange2()

### getType

    public int getType()

  Description copied from interface: `Table`
  Get the table type, as a table directory value.

  Specified by:
    `getType` in interface `Table`
  Returns:
    The table type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.